import { DataColumnArray, DataRowArray, JSONData } from './unit';
/**
 * @public
 */
export declare type SourceType = 'json' | 'rows' | 'columns';
/**
 * @public
 */
export interface DatasetParamsByJson {
    source: JSONData;
}
/**
 * @public
 */
export interface DatasetParamsByRows {
    source: DataRowArray[];
    columns?: string[];
}
/**
 * @public
 */
export interface DatasetParamsByColumns {
    source: DataColumnArray[];
    columns?: string[];
}
/**
 * @public
 */
export declare type DatasetParams = DatasetParamsByJson | DatasetParamsByRows | DatasetParamsByColumns;
/**
 * @public
 */
export declare class Dataset {
    dataMatrix: any[][];
    dataIndex: number[];
    dataColumns: string[];
    constructor(type: 'json', params: DatasetParamsByJson);
    constructor(type: 'rows', params: DatasetParamsByRows);
    constructor(type: 'columns', params: DatasetParamsByColumns);
    toJson(): Record<string, any>[];
}
